com.fasterxml.jackson.databind

## Class PropertyNamingStrategy.PropertyNamingStrategyBase

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy

Enclosing class:
  PropertyNamingStrategy

Deprecated.
Since 2.12 deprecated. See databind#2715 for reasons for deprecation.

    @Deprecated
    public abstract static class PropertyNamingStrategy.PropertyNamingStrategyBase
    extends PropertyNamingStrategy

Replaced by `PropertyNamingStrategies.NamingBase`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, LOWER_DOT_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

### Constructor Summary

Constructors
`protected` `PropertyNamingStrategyBase()` Deprecated.
`protected` `PropertyNamingStrategyBase(boolean logWarning)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`String` `nameForConstructorParameter(MapperConfig<?> config, AnnotatedParameter ctorParam, String defaultName)` Deprecated. Method called to find external name (name used in JSON) for given logical POJO property, as defined by given constructor parameter; typically called when building a deserializer (but not necessarily only then).
`String` `nameForField(MapperConfig<?> config, AnnotatedField field, String defaultName)` Deprecated. Method called to find external name (name used in JSON) for given logical POJO property, as defined by given field.
`String` `nameForGetterMethod(MapperConfig<?> config, AnnotatedMethod method, String defaultName)` Deprecated. Method called to find external name (name used in JSON) for given logical POJO property, as defined by given getter method; typically called when building a serializer.
`String` `nameForSetterMethod(MapperConfig<?> config, AnnotatedMethod method, String defaultName)` Deprecated. Method called to find external name (name used in JSON) for given logical POJO property, as defined by given setter method; typically called when building a deserializer (but not necessarily only then).
`abstract String` `translate(String propertyName)` Deprecated.
`protected static String` `translateLowerCaseWithSeparator(String input, char separator)` Deprecated. Helper method to share implementation between snake and dotted case.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyNamingStrategyBase

    protected PropertyNamingStrategyBase()

Deprecated.

#### PropertyNamingStrategyBase

    protected PropertyNamingStrategyBase(boolean logWarning)

Deprecated.

### Method Detail

#### nameForField

    public String nameForField(MapperConfig<?> config,
                               AnnotatedField field,
                               String defaultName)

Deprecated.
Description copied from class: `PropertyNamingStrategy`
Method called to find external name (name used in JSON) for given logical POJO property, as defined by given field.

Overrides:
  `nameForField` in class `PropertyNamingStrategy`
Parameters:
  `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
  `field` - Field used to access property
  `defaultName` - Default name that would be used for property in absence of custom strategy
Returns:
  Logical name to use for property that the field represents

#### nameForGetterMethod

    public String nameForGetterMethod(MapperConfig<?> config,
                                      AnnotatedMethod method,
                                      String defaultName)

Deprecated.
Description copied from class: `PropertyNamingStrategy`
Method called to find external name (name used in JSON) for given logical POJO property, as defined by given getter method; typically called when building a serializer. (but not always -- when using "getter-as-setter", may be called during deserialization)

Overrides:
  `nameForGetterMethod` in class `PropertyNamingStrategy`
Parameters:
  `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
  `method` - Method used to access property.
  `defaultName` - Default name that would be used for property in absence of custom strategy
Returns:
  Logical name to use for property that the method represents

#### nameForSetterMethod

    public String nameForSetterMethod(MapperConfig<?> config,
                                      AnnotatedMethod method,
                                      String defaultName)

Deprecated.
Description copied from class: `PropertyNamingStrategy`
Method called to find external name (name used in JSON) for given logical POJO property, as defined by given setter method; typically called when building a deserializer (but not necessarily only then).

Overrides:
  `nameForSetterMethod` in class `PropertyNamingStrategy`
Parameters:
  `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
  `method` - Method used to access property.
  `defaultName` - Default name that would be used for property in absence of custom strategy
Returns:
  Logical name to use for property that the method represents

#### nameForConstructorParameter

    public String nameForConstructorParameter(MapperConfig<?> config,
                                              AnnotatedParameter ctorParam,
                                              String defaultName)

Deprecated.
Description copied from class: `PropertyNamingStrategy`
Method called to find external name (name used in JSON) for given logical POJO property, as defined by given constructor parameter; typically called when building a deserializer (but not necessarily only then).

Overrides:
  `nameForConstructorParameter` in class `PropertyNamingStrategy`
Parameters:
  `config` - Configuration in used: either `SerializationConfig` or `DeserializationConfig`, depending on whether method is called during serialization or deserialization
  `ctorParam` - Constructor parameter used to pass property.
  `defaultName` - Default name that would be used for property in absence of custom strategy

#### translate

    public abstract String translate(String propertyName)

Deprecated.

#### translateLowerCaseWithSeparator

    protected static String translateLowerCaseWithSeparator(String input,
                                                            char separator)

Deprecated.
Helper method to share implementation between snake and dotted case.